//
//  main.cpp
//  PD-Sp15_hw02-3
//
//  Created by Tammy on 3/7/15.
//  Copyright (c) 2015 Tammy. All rights reserved.
//

#include <iostream>
#include <cmath>
using namespace std;

int main() {
    // declare and initialize m, n
    int m = 0, n = 0;
    
    // read in data as m, n
    cin >> m >> n;
    
    // the integer that may be a prime number
    int primeCandidate = 2;
    
    // when primeCandidate is smaller than m
    while (primeCandidate < m ){
        
        // a flag to show whether the primeCandidate is a prime
        bool isPrime = true;
        // initialize the factor to be 2, because 1 is every number's factor so we skip it
        int factor = 2;
        // set the upper bound for the factor
        int upperBound = floor(sqrt(primeCandidate));
        
        // when the factor is still in range and the primeCandidate's flag is still true
        while ( factor <= upperBound && isPrime){
            // if primeCandidate can be divied by the factor
            if ( primeCandidate % factor == 0 ){
                // this primeCandidate isn't a prime
                isPrime = false;
            }
            else{
                // check another factor
                factor = factor + 1;
            }
        }
        
        // if primeCandidate is prime and its last digit isn't equal to m
        if ( isPrime && primeCandidate % 10 != n ){
            // if n isn't equal to 2 and the primeCandidate is 2 then 2 is the first prime
            if ( n!= 2 && primeCandidate==2 ){
                // output the first prime
                cout << primeCandidate;
            }
            // if n is 2 and the primeCandidate is 3 then 3 is the first prime
            else if ( n==2 && primeCandidate==3 ){
                // output the first prime
                cout << primeCandidate;
            }
            // if the primeCandidate isn't the first prime
            else{
                // output the primeCandidate with a space before it
                cout << " " << primeCandidate;
            }
        }
        // check another primeCandidate
        primeCandidate = primeCandidate + 1;
    }
    // output the newline character
    cout << '\n';
    return 0;
}
